{% extends 'base.html.twig' %}

{% block title %}Liste des Auteurs{% endblock %}

 {% block body %}
     <div class="card">
         <!-- /.card-header -->
         <div class="card-body">
             <table id="example1" class="table table-bordered table-striped" style="text-align: center">
                 <thead>
                 <tr>
                     <th style="width: 170px">Prénom</th>
                     <th style="width: 170px">Nom</th>
                     <th>Biographie</th>
                     <th style="width: 150px">Actions</th>
                 </tr>
                 </thead>
                 <tbody>
                 {% for auteur in auteurs %}
                     <tr>
                         <td>{{ auteur.prenom }}</td>
                         <td>{{ auteur.nom }}</td>
                         <td>{{ auteur.biographie }}</td>
                         <td style="display: flex; align-items: center; justify-content: center;">
                             {#<a href="{{ path('auteur_show', {'id': auteur.id}) }}" class="btn btn-primary btn-block"
                                   style="padding: 5px; background-color: #343a40; border-color: #343a40;">Afficher</a>#}
                             <form method="post" action="{{ path('auteur_delete', {'id': auteur.id}) }}"
                                   onsubmit="return confirm('Etes-vous sûr que vous voulez supprimer cet auteur?');"
                                   style="padding-right: 10px; /*padding-left: 10px;*/">
                                 <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ auteur.id) }}">
                                 <button class="btn btn-primary btn-block" style="padding: 3px;
                                    background-color: #343a40; border-color: #343a40;">Supprimer</button>
                             </form>
                             <a href="{{ path('auteur_edit', {'id': auteur.id}) }}" class="btn btn-primary btn-block"
                                style="padding: 3px; background-color: #343a40; border-color: #343a40;">Modifier</a>
                         </td>
                     </tr>
                 {% else %}
                     <tr>
                         <td colspan="5">Il n'y a aucun auteur</td>
                     </tr>
                 {% endfor %}
                 </tbody>
             </table>
             <div style="padding-top: 20px; display: flex; align-items: center; justify-content: center">
                 <a href="{{ path('auteur_new') }}">
                     <button class="btn btn-primary btn-block" style="/*padding: 3px;*/ background-color: #343a40;
                            border-color: #343a40; width: 500px">Ajouter un Auteur</button>
                 </a>
             </div>

         </div>
         <!-- /.card-body -->
     </div>
 {% endblock %}